C
C     Parameters that specify dimensions of arrays
C
      PARAMETER (MATOM  =   10, ! maximum number of explicit atoms
     *           MION   =   20, ! maximum number of explicit ions
     *           MLEVEL =  150, ! maximum number of explicit levels
     *           MLVEXP =  150, ! maximum number of explicit linearized levels
     *           MTRANS = 2500, ! maximum number of all transitions
     *                          ! which are somehow taken into account
     *           MDEPTH =   70, ! maximum number of depth points
     *           MFREQ =  3600, ! maximum number of frequency points
     *           MFREQC=   600, ! maximum number of freq.points in continuum
     *           MFREX =   120, ! maximum number of linearized frequencies
     *           MFRCOR =    1, ! maximum number of frequency points
     *                          ! in one line for correction weights
     *           MFETA =     1, ! maximum number of frequency points
     *                          ! in one line for ETA procedure (outdated)
     *           MCROSS=MLEVEL, ! maximum number of photoionization
     *                          ! cross-sections + related quantities
     *           MBF =  MLEVEL, ! maximum number of b-f transitions
     *           MFIT =    100, ! maximum number of fit points (OP b-f c.s)
     *           MITJ=      10, ! maximum number of overlapping transitions
     *           MMCDW =     4, ! maximum number of levels with pseudocont.
     *           MMER  =     2, ! maximum number of merged levels
     *           MZZ   =    10, ! maximum charge for occup.prob. ions
     *           MLINFR =   25, ! maximum number of lines at given freq.
     *           MFREQL =   55, ! maximum number of frequencies per line
     *           MVOIGT=    10, ! maximum number of lines with Voigt
     *                          ! profile
     *           NLMX  =    80, ! highest hydrogenic level considered
     *           MSMX  =   100, ! size of largest matrix kept in memory in SOLVE
     *           MTOT  =   200, ! maximum number of model unknowns
     *                          ! (ie. maximum dimension of vector PSI)
     *           MFREQ1=    1,  ! =1 for ISPLIN<5; =MFREQ otherwise
     *           MLEVE3=    1,  ! =1 for diag.precond; =MLEVEL for tridia.prec.
     *           MLVEX3=    1,  ! =1 for diag.oper.; =MLVEXP for tridiag.   .
     *           MTRAN3=    1)  ! =1 for diag.oper; =MTRANS for tridiag.
C
      PARAMETER (MAROWS = MFREX + 2,  ! maximum number of rows of matrix
     *                                ! A of complete linearization
     *           MCCOLS = MLEVEL+ 5)  ! maximum number of columns of
     *                                ! matrix C of compl. linearization
C
C     Basic physical constants
C
      PARAMETER (H     = 6.6256D-27,      ! Planck constant     h 
     *           BOLK  = 1.38054D-16,     ! Boltzmann constant  k
     *           HK    = 4.79928144D-11,  ! h/k
     *           CAS   = 2.997925D18,     ! light speed c (A/s)
     *           EH    = 2.17853041D-11,  ! ionizaton energy of hydrogen
     *           BN    = 1.4743D-2,       ! 2*h/c**3, c -light speed
     *           SIGE  = 6.6516D-25,      ! Thomson scattering c-s
     *           SIG4P = 4.5114062D-6,    ! Stefan-Boltzmann const/4pi
     *           PI4H  = 1.8966D27,       ! 4pi/h
     *           HMASS = 1.67333D-24)     ! mass of hydrogen atom
C
C     Basic mathematical constants
C
      PARAMETER (UN    = 1.0D0,
     *           HALF  = 0.5D0,
     *           TWO   = 2.0D0)
C
C     Unit number
C
      PARAMETER (IBUFF = 15)
C
C     Basic parameters
C
      COMMON/BASNUM/NATOM,NION,NLEVEL,NTRANS,ND,NFREQ,NFREQC,NFREQE,
     *              NFREAD,NELSC,NTRANC,IOVER,JALI,IBC,IRDER,ILMCOR,
     *              ILPSCT,ILASCT,IRTE,IDLTE,IBFINT,INTRPL,ICHANG,
     *              NATOMS,IPSLTE
      COMMON/INPPAR/TEFF,GRAV,
     *              YTOT(MDEPTH),WMM(MDEPTH),WMY(MDEPTH),
     *              ISPLIN,IRSPLT,LTE,LTGREY,LCHC,LRESC
      COMMON/MATKEY/NN,INHE,INRE,INPC,INSE,INMP,NDRE,insel
      COMMON/INVINT/XI2(NLMX),XI3(NLMX)
      COMMON/RUNKEY/CHMAX,ITER,NITER,INIT,LAC2,LFIN
      COMMON/CONKEY/HMIX0,NCONIT,ICONV,INDL,IPRESS,ITEMP,ICBEG
